function [kernel] = wavenumber_function_3d_space(frequency_space,k1,k2)
    frequency = frequency_space(1);
    ax = frequency_space(2);
    ay = frequency_space(3);
    az = frequency_space(4);
    c = 3e8;
    k0 = 2*pi*frequency/c;
    if(k1(1)==k2(1))
        kernel1 = ax/pi;
    else
    kernel1 = sin(ax*(k1(1)-k2(1)))/pi/(k1(1)-k2(1));
    end

    if(k1(2)==k2(2))
        kernel2 = ay/pi;
    else
    kernel2 = sin(ay*(k1(2)-k2(2)))/pi/(k1(2)-k2(2));
    end

    if(k1(3)==k2(3))
        kernel3 = az/pi;
    else
    kernel3 = sin(az*(k1(3)-k2(3)))/pi/(k1(3)-k2(3));
    end

    kernel = kernel1*kernel2*kernel3;
end